#pragma once
#include "renderstrategy.h"
#include "Vector.hpp"

class FinalCompositionRenderStrategy :
	public RenderStrategy
{
public:
	Vector lightDir;
	Vector lightPos;
	Vector lightPower;

	FinalCompositionRenderStrategy(PathMapEffect* pathMapEffect);

	void applyTargets() const;
	void applyRenderState() const;
	void applyTechnique() const;

	void applyTransforms(Entity* entity) const;
	void applyTextures(SubEntity* subEntity) const;
	
	void resetRenderState() const;

};
