#include "dxstdafx.h"
#include ".\renderstrategy.h"

RenderStrategy::RenderStrategy(PathMapEffect* pathMapEffect)
{
	this->pathMapEffect = pathMapEffect;
}


void RenderStrategy::applyTargets() const
{
}

void RenderStrategy::applyRenderState() const
{
}

void RenderStrategy::applyTechnique() const
{
}

void RenderStrategy::applyTransforms(Entity* entity) const
{
}


void RenderStrategy::applyTextures(SubEntity* subEntity) const
{
}

void RenderStrategy::resetRenderState() const
{
}
