#pragma once
#include "renderstrategy.h"

class DepthRenderStrategy :
	public RenderStrategy
{
public:
	DepthRenderStrategy(PathMapEffect* pathMapEffect);

	void applyTargets() const;
	void applyRenderState() const;
	void applyTechnique() const;

	void applyTransforms(Entity* entity) const;
	void resetRenderState() const;
};
