#pragma once
#include "renderstrategy.h"

class PRMRenderStrategy :
	public RenderStrategy
{
	Radion* radion;
public:
	PRMRenderStrategy(PathMapEffect* pathMapEffect, Radion* radion);

	void applyTargets();
	void applyRenderState();
	void applyTechnique();

	void applyTransforms(Entity* entity);
	void applyTextures(SubEntity* subEntity);

	void resetRenderState();
};
